Subject: Re: bug#14517: t/tags-pr12372.sh assumes that etags generates tags for all files
From: Stefano Lattarini <[email-masked]>
To: Peter Rosin <[email-masked]>
Cc: [email-masked]
Date: Mon, 03 Jun 2013 15:21:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 06/03/2013 11:47 AM, Stefano Lattarini wrote:
>
> Peter Rosin wrote:
>>
>> Yup, I'm happy to test anything you come up with (within reason :-).
>>
> Here it is.  Does it work for you?
> 
> PATCH] tests: fix spurious failure when 'etags' program is Exuberant Ctags
> 
> Fixes automake bug#14517.
> 
> * t/tags-pr12372.sh: If the 'etags' program in use supports the
> '--langmap' option, use it.  That is required to avoid spurious
> failures with Exuberant Ctags (at least version 5.8), which by
> default do not generate any tags for file extensions it doesn't
> recognize.
> 
I've tried the patch with etags from both Exuberant Ctags and from
Emacs, and everything works correctly.  I'm thus closing this report.
Peter, please holler if the problems somehow still persists for you,
since I'm planning to release Automake 1.13.3 this evening or
tomorrow morning.

Thanks, and best regards,
  Stefano